## ide-source-snippet-completion-item ide-source-snippet-completion-item |

## Functions

#define | IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM
GtkSourceCompletionProposal * | ide_source_snippet_completion_item_new ()
IdeSourceSnippet * | ide_source_snippet_completion_item_get_snippet ()
void | ide_source_snippet_completion_item_set_snippet ()

## Properties

IdeSourceSnippet * | snippet | Read / Write

## Types and Values

| IdeSourceSnippetCompletionItem

## Object Hierarchy

        GObject
        ╰── IdeSourceSnippetCompletionItem

## Implemented Interfaces

IdeSourceSnippetCompletionItem implements GtkSourceCompletionProposal.

## Description

## Functions

### IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM

    #define IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM (ide_source_snippet_completion_item_get_type())

### ide_source_snippet_completion_item_new ()

    GtkSourceCompletionProposal *
    ide_source_snippet_completion_item_new
                                   (IdeSourceSnippet *snippet);

### ide_source_snippet_completion_item_get_snippet ()

    IdeSourceSnippet *
    ide_source_snippet_completion_item_get_snippet
                                   (IdeSourceSnippetCompletionItem *item);

### ide_source_snippet_completion_item_set_snippet ()

    void
    ide_source_snippet_completion_item_set_snippet
                                   (IdeSourceSnippetCompletionItem *item,
                                    IdeSourceSnippet *snippet);

## Types and Values

### IdeSourceSnippetCompletionItem

    typedef struct _IdeSourceSnippetCompletionItem IdeSourceSnippetCompletionItem;

## Property Details

### The `“snippet”` property

      “snippet”                  IdeSourceSnippet *

The snippet to insert.

Flags: Read / Write